Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	TwoLAME is an optimized MPEG Audio Layer 2 (MP2) encoder.
Name:		twolame
Version:	0.3.10
Release:	1
License:	GNU/GPL 
URL:		http://www.twolame.org
Group:		Sound
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	gcc libsndfile-devel

%description
TwoLAME is an optimized MPEG Audio Layer 2 (MP2) encoder.
It is based heavily on:

- tooLAME by Michael Cheng
- the ISO dist10 code
- improvement to algorithms as part of the LAME project (lame.sf.net)
- other contributors (see AUTHORS)

TwoLAME should be able to be used as a drop-in replacement for
LAME (a MPEG Layer 3 encoder). The frontend takes very similar
command line options to LAME, and the backend library has a very
similar API to LAME.

For the latest version of TwoLAME, visit the project homepage:
http://www.twolame.org/


%package devel
Summary:	%{name} development headers.
Group:		%{group}            
Requires:	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q

%build
%configure
make 

%install
rm -rf %{buildroot}
make install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 


%files
%defattr(-,root,root)
%_bindir/twolame
%_libdir/libtwolame.so.0
%_libdir/libtwolame.so.0.0.0
%_mandir/man1/twolame.1.gz

%files devel
%defattr(-,root,root)
%_docdir/twolame
%_includedir/twolame.h
%_libdir/libtwolame.a
%_libdir/libtwolame.la
%_libdir/libtwolame.so
%_libdir/pkgconfig/twolame.pc

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Aug 05 2007 Stefan Gottwald <gotti@ccux-linux.de> 0.3.10-1
- Initial Release
